LibreOffice: XFilterControllerListener Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XFilterControllerListener Interface Reference

is implemented by components listening for events fired by an XFilterController. More...

`import "XFilterControllerListener.idl";`

Inheritance diagram for XFilterControllerListener:

## Public Member Functions
void | predicateExpressionChanged ([in] FilterEvent Event)
| is fired when a single predicate expression of the filter represented by the filter controller changed.
void | disjunctiveTermRemoved ([in] FilterEvent Event)
| is fired when a disjunctive term was removed from the filter of the filter controller.
void | disjunctiveTermAdded ([in] FilterEvent Event)
| is fired when a disjunctive term was added to the filter of the filter controller.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is implemented by components listening for events fired by an XFilterController.

Since
  OOo 3.3

## Member Function Documentation

## ◆ disjunctiveTermAdded()

void disjunctiveTermAdded | ( | [in] FilterEvent | Event | ) |

is fired when a disjunctive term was added to the filter of the filter controller.

FilterEvent::DisjunctiveTerm is the index of the disjunctive term which was added.

FilterEvent::FilterComponent and FilterEvent::PredicateExpression are not used for this event type.

## ◆ disjunctiveTermRemoved()

void disjunctiveTermRemoved | ( | [in] FilterEvent | Event | ) |

is fired when a disjunctive term was removed from the filter of the filter controller.

FilterEvent::DisjunctiveTerm is the index of the disjunctive term which was removed.

FilterEvent::FilterComponent and FilterEvent::PredicateExpression are not used for this event type.

## ◆ predicateExpressionChanged()

void predicateExpressionChanged | ( | [in] FilterEvent | Event | ) |

is fired when a single predicate expression of the filter represented by the filter controller changed.

FilterEvent::DisjunctiveTerm is the index of the disjunctive term in which the expression changed. This usually equals XFilterController::ActiveTerm.

FilterEvent::FilterComponent denotes the index of the filter component whose predicate expression changed.

FilterEvent::PredicateExpression is the new predicate expressions.

The documentation for this interface was generated from the following file:

- com/sun/star/form/runtime/XFilterControllerListener.idl